%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libvsgpt
Version:	20211115
Release:	1%{?dist}
Summary:	Library to access the GUID Partition Table (GPT) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libvsgpt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool
              
%description
libvsgpt is a library to access the GUID Partition Table (GPT) volume system

%package devel
Summary: Header files and libraries for developing applications for libvsgpt
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvsgpt.

%package tools
Summary: Several tools for reading Hierarchical File System (HFS) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading a GUID Partition Table (GPT) volume system 

%prep
%setup -q

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libvsgpt
Group: System Environment/Libraries
Requires: libvsgpt = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libvsgpt
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsext
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfsext
%endif

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh ];  then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vsgptinfo
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Nov 15 2021 Lawrence R. Rogers <lrr@cert.org> 20211115-1
* Release 20211115-1
	Version 20211115

* Sun Feb  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210207-1
* Release 20210207-1
	Version 20210207

* Mon Jan 18 2021 Lawrence R. Rogers <lrr@cert.org> 20210118-1
* Release 20210118-1
	Version 20210118 - Initial Release
